# mime_content_type

(PHP 4 >= 4.3.0, PHP 5, PHP 7)

mime_content_type — Detect MIME Content-type for a file

### Description

mime_content_type ( string `$filename` ) : string

Returns the MIME content type for a file as determined by using information from the magic.mime file.

### Parameters

`filename`

  Path to the tested file.

### Return Values

Returns the content type in MIME format, like text/plain or application/octet-stream, or `FALSE` on failure.

### Errors/Exceptions

Upon failure, an `E_WARNING` is emitted.

### Examples

Example #1 mime_content_type() Example

`<?php
echo mime_content_type('php.gif') . "\n";
echo mime_content_type('test.php');
?>`

The above example will output:

    image/gif
    text/plain

### See Also

- finfo_file() - Alias of finfo_file()
- finfo_buffer() - Alias of finfo_buffer()